Search documentation of polar_express

# PolarExpress.Services.CustomerPortal.CustomerSessionService (polar_express v0.1.5)

Copy Markdown View Source

Customer-session

CustomerSession API operations.

## Summary

### Functions

get_authenticated_portal_user(client, params \\ %{}, opts \\ [])

Get Authenticated Portal User

introspect_customer_session(client, params \\ %{}, opts \\ [])

Introspect Customer Session

## Functions

# get_authenticated_portal_user(client, params \\ %{}, opts \\ [])

    @spec get_authenticated_portal_user(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.PortalAuthenticatedUser.t()}
      | {:error, PolarExpress.Error.t()}

Get Authenticated Portal User

Get information about the currently authenticated portal user.

Scopes: `customer_portal:read` `customer_portal:write`

See `PolarExpress.Params.CustomerPortal.CustomerSessionGetAuthenticatedPortalUserParams` for parameter details.

# introspect_customer_session(client, params \\ %{}, opts \\ [])

    @spec introspect_customer_session(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.CustomerCustomerSession.t()}
      | {:error, PolarExpress.Error.t()}

Introspect Customer Session

Introspect the current session and return its information.

Scopes: `customer_portal:read` `customer_portal:write`

See `PolarExpress.Params.CustomerPortal.CustomerSessionIntrospectCustomerSessionParams` for parameter details.